Till Status API
This API allows a company to fetch the status of a specific till transaction using therequestId.
Endpoint
GET /api/sandbox/v1/till/statusBase URL
https://api.kiotapay.co
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Endpoint to fetch the status of a till transaction using the requestId .
requestId.
https://api.kiotapay.co
| Parameter | Type | Description | Required |
|---|---|---|---|
| ✅ | |||
requestId | string | The unique ID of the request for which the status is being checked. | ✅ |
| Key | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | ✅ | Specifies that the request body is in JSON format. |
Authorization | Bearer <your-token> | ✅ | API authentication token. Replace <your-token> with a valid JWT. |
curl --location 'https://api.kiotapay.co/api/sandbox/v1/auth/spending/till/status?companyId=4d6e1ea9-5ab8-496a-978f-7e9b2bce80c4&requestId=20f6da4c-f1fa-4af0-9e5c-72c4e7ac8f57'
{
"status": 201,
"message": "Success",
"data": {
"accountNumber": "435567676",
"businessNumber": "12345",
"requestId": "20f6da4c-f1fa-4af0-9e5c-72c4e7ac8f57",
"amount": 1000.0,
"status": "PENDING"
}
}
